Create a File Transfer Flow
여러 단계를 조합해 다중 장비 간 전송 오케스트레이션(flow)을 구성합니다. Flow는 automation-component 리소스로 관리합니다.
| 목적 | 메서드 · 경로 |
|---|---|
| 플로우 생성 | POST /api/automation-component |
| 목록 조회 | GET /api/automation-component |
| 상세 조회 | GET /api/automation-component/{componentId} |
| 자동화 상세 기준 조회 | GET /api/automation-component/automation-detail/{automationDetailId} |
| 업데이트 | PATCH /api/automation-component/{componentId} |
| 삭제 | DELETE /api/automation-component/{componentId} |
플로우 컴포넌트는 후처리(outbound HTTP 호출)와 웹훅 알림을 함께 정의할 수 있습니다.
플로우 생성 — POST /api/automation-component
bash
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
curl -X POST https://exacoola.innorix.com/api/automation-component \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "x-workspace-id: <WORKSPACE_ID>" \
-H "Content-Type: application/json" \
-d '{
"automationDetailId": "D1234-5678-9012-3456",
"type": "ai_pipeline",
"url": "https://example.com/pipeline",
"storagePath": "/automation/components/pipeline",
"tags": ["Upload", "Portal"],
"authType": "API Key",
"authKey": "secret-value",
"outboundMethod": "POST",
"outboundEndpointUrl": "https://api.example.com/events",
"outboundEventPayload": { "fileId": "file_001", "path": "/upload/data.csv" },
"webhookUrl": "https://example.com/webhook",
"webhookSecretToken": "webhook-secret",
"webhookEventPayload": { "fileId": "file_001", "path": "/upload/data.csv", "userId": "user_001" }
}'
주요 필드:
| 필드 | 설명 |
|---|---|
type | 파이프라인 종류 |
outboundMethod / outboundEndpointUrl | 전송 완료 후 호출할 HTTP 엔드포인트 |
webhookUrl / webhookSecretToken | 이벤트 알림 웹훅 주소·서명 토큰 |
authType / authKey | 대상 인증 방식·키 |